<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>
<body>

<h2>Todo List</h2>

<table border="1">
    <tr>
        <th>ID</th>
        <th>Title</th>
        <th>Completed</th>
        <th>Edit</th>
        <th>Delete</th>
    </tr>

    <tr th:each="todo : ${todos}">
        <td th:text="${todo.id}"></td>
        <td th:text="${todo.title}"></td>
        <td th:text="${todo.completed} ? 'Yes' : 'No'"></td>
        <td><a th:href="@{/todos/{id}/edit(id=${todo.id})}">Edit</a></td>
        <td><a th:href="@{/todos/{id}/delete(id=${todo.id})}">Delete</a></td>
    </tr>
</table>

<br/>

<a th:href="@{/todos/new}">Add New Todo</a>

</body>
</html>
